---
title: "Get QoD session status"
url: "https://developer.pxg.konera.com/apis/quality-on-demandglobal-0/versions/8a754c81-98d0-4120-a470-37db10574c94/operations/getQodSession"
---

> Full API specification: https://developer.pxg.konera.com/apis/quality-on-demandglobal-0/versions/8a754c81-98d0-4120-a470-37db10574c94.md

# Get QoD session status

`GET` `/qod/v0.1/sessions/{sessionId}`

Operation ID: `getQodSession`

Retrieves the current status of a Quality on Demand session.

## Path parameters

- `sessionId` (string, required)

## Header parameters

- `x-correlation-id` (string, optional) - Correlation ID for request tracing

## Responses

- `200` - QoD session status
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Session not found
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Quality on Demand
  version: 0.1.0
servers:
  - url: https://api.pxg.konera.com/camara
    description: Production CAMARA API Gateway
paths:
  /qod/v0.1/sessions/{sessionId}:
    get:
      tags:
        - Quality on Demand
      summary: Get QoD session status
      description: Retrieves the current status of a Quality on Demand session.
      operationId: getQodSession
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
            example: qod-session-123456
        - name: x-correlation-id
          in: header
          required: false
          description: Correlation ID for request tracing
          schema:
            type: string
      responses:
        "200":
          description: QoD session status
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/QodSessionResponse"
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Session not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "500":
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - oauth2:
      - qod:request
components:
  schemas:
    QodSessionResponse:
      type: object
      required:
        - sessionId
        - status
      properties:
        sessionId:
          type: string
          example: qod-session-123456
        status:
          type: string
          enum:
            - ACTIVE
            - EXPIRED
            - TERMINATED
          example: ACTIVE
        expiresAt:
          type: string
          format: date-time
          example: 2026-02-10T18:30:00Z
    Error:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          example: 400
        code:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: Invalid request
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.konera.com/oauth2/token
          scopes:
            qod:request: Request Quality on Demand sessions
```
